package sk.kasv.guiworld.model;

public class Country {
    private String name;
    private String code2;
    private String code3;
    private String officialLanguage;

    public Country(String language, String code, String countryCode) {
        this.officialLanguage = language;
        this.code2 = code;
        this.code3 = countryCode;
    }

    public Country(String code, String countryCode) {
        this.code2 = code;
        this.code3 = countryCode;
    }

    public String getName() {
        return name;
    }

    public String getCode2() {
        return code2;
    }

    public String getCode3() {
        return code3;
    }

    public String getOfficialLanguage() {
        return officialLanguage;
    }

    public Country(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "Language = " + officialLanguage + "\nCode 2 = " + code2 + "\nCode 3 = " + code3;
    }
}